#!/usr/bin/env perl
# $Id: kuttuki-counter-today.cgi,v 1.4 2003/10/07 17:29:48 yto Exp $
use strict;
my $counter_file_dir = "kcnt";
my $id = shift @ARGV;
$id =~ s/[^a-zA-Z0-9\-_]//g;
my $fn = "$counter_file_dir/$id";

if (!-e $fn) {			# initialize
    open(F, "> $fn") or die "can't open $fn : $!\n";
    close(F);
    chmod 0666, $fn;
    utime(0, 0, $fn);
}

my ($cnt_today, $cnt_total, $ctime) = (stat $fn)[8, 9, 10];
my $now = time;
$cnt_today = 0 if ((localtime($ctime))[3] != (localtime($now))[3]); 

utime(++$cnt_today, ++$cnt_total, $fn);
# caution: utime() doesn't change cygwin's ctime

print "Content-type: text/plain;\n\n";
#print "document.write('$cnt_today/$cnt_total');\n";
#print "document.write('$cnt_today/$cnt_total (today/total)');\n";
#print "document.write('today($cnt_today) : total($cnt_total)');\n";
print "document.write('[ today: $cnt_today | total: $cnt_total ]');\n";
